Bug 254467 - games/eduke32: Suggest to revert r562560
Summary: games/eduke32: Suggest to revert r562560
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-21 17:54 UTC by Felix Palmen
Modified: 2021-05-15 00:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pkubaj)


Attachments
fix IGNORE logic for FULL game option (511 bytes, patch)
2021-05-12 20:03 UTC, Felix Palmen
felix: maintainer-approval? (pkubaj)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen 2021-03-21 17:54:20 UTC
eduke32 can only run the full game when both duke3d.grp and duke.rts are present. Therefore, with option FULL set, the port should be ignored as soon as one of the files is missing, so IMHO, the logical "or" was the correct logic.
Comment 1 Felix Palmen 2021-05-12 20:03:10 UTC
Created attachment 224884 [details]
fix IGNORE logic for FULL game option

Hello Piotr,

I think this really is an issue. In the current state, when one of the files is missing while the FULL option is selected, the build fails with this misleading error:

=======================<phase: fetch          >============================
===>  License GPLv2 BUILDLIC accepted by the user
===>   eduke32-20210404 depends on file: /usr/local/sbin/pkg - found
=> duke3d/duke.rts is not in /usr/ports/games/eduke32/distinfo.
=> Either /usr/ports/games/eduke32/distinfo is out of date, or
=> duke3d/duke.rts is spelled incorrectly.
*** Error code 1

I'm attaching the patch to revert the offending change. With that, the error gives the correct reason using IGNORE:

=======================<phase: check-sanity   >============================
===>  eduke32-20210404 option FULL selected, but duke3d.grp or duke.rts not
found in /distfiles/duke3d.
*** Error code 1
Comment 2 commit-hook freebsd_committer 2021-05-15 00:48:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6ffbcd54bf8ce80bcc0b7717aa18bacd3fbe7eca

commit 6ffbcd54bf8ce80bcc0b7717aa18bacd3fbe7eca
Author:     Piotr Kubaj <pkubaj@FreeBSD.org>
AuthorDate: 2021-05-15 00:48:06 +0000
Commit:     Piotr Kubaj <pkubaj@FreeBSD.org>
CommitDate: 2021-05-15 00:48:06 +0000

    games/eduke32: correct FULL option handling

    Submitted by: felix@palmen-it.de
    PR:     254467

 games/eduke32/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)